API
POST /api/research/start
Start Research
POST /api/research/start
Start Research
Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Org-ID | header | string | null | No | - |
Request body
A JSON request body is required.
| Field | Type | Required | Description |
|---|---|---|---|
query | string | Yes | - |
Example request
curl -X POST https://api.cognitivx.io/api/research/start \
-H "Authorization: Bearer icog_..." \
-H "Content-Type: application/json" \
-d '{
"query": "what did we decide about billing"
}'Example response
200 application/json
{}Responses
| Status | Description |
|---|---|
200 | Success. Returns the response body shown below. |
422 | Request validation failed. detail lists each offending field. |